{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";

    flake-utils.url = "github:numtide/flake-utils";

    devshell.url = "github:numtide/devshell";
    devshell.inputs.flake-utils.follows = "flake-utils";
    devshell.inputs.nixpkgs.follows = "nixpkgs";
  };

  outputs = { self, devshell, flake-utils, nixpkgs }:
    flake-utils.lib.simpleFlake {
      inherit self nixpkgs;
      name = "fix-nc-encrypted-file-conflicts";
      preOverlays = [ devshell.overlay ];
      shell = { pkgs }:
        pkgs.devshell.mkShell {
          devshell.packages = with pkgs; [
            deno
          ];
          bash.extra = ''
            export NVIM_USE_DENOLS=1
          '';
        };
    };
}
